- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete#body.aspect)
- [Try it!](https://developers.google.com/workspace/classroom/reference/rest/v1/courses.students/delete#try-it)

Deletes a student of a course.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to delete students of this course or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `NOT_FOUND` if no student of this course has the requested ID or if the course does not exist.

### HTTP request

`DELETE https://classroom.googleapis.com/v1/courses/{courseId}/students/{userId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Identifier of the course. This identifier can be either the Classroom-assigned identifier or an `https://developers.google.com/workspace/classroom/reference/rest/v1/courses.aliases#CourseAlias`. |
| `userId` | `string` Identifier of the student to delete. The identifier can be one of the following: - the numeric identifier for the user - the email address of the user - the string literal `"me"`, indicating the requesting user |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.rosters`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).